PIM 26.0
| Version | 26.0 |
|---|---|
| Release Date | 12 March 2026 |
Changes
New major version
PIM has been upgraded to version 26. There will be breaking changes when upgrading Bizzkit.Sdk.Pim from V25 to V26.
V25 endpoints will be supported until V27 is released.
V24 is now unsupported.
Changed endpoints
JobPriorityModel removed
The JobPriorityModel enum parameter has been removed from all endpoints that enqueue a background job. This parameter did not have any effect on actual job execution priority.
Attributes
| Endpoint | Comment |
|---|---|
POST /api/attributes/import/csv |
Query parameter attributesImportJobPriority has been removed. |
POST /api/attributes/predefined-values/import/csv |
Query parameter attributesPredefinedValuesImportJobPriority has been removed. |
Brands
| Endpoint | Comment |
|---|---|
POST /api/brands/import/csv |
Query parameter brandsImportJobPriority has been removed. |
Global Lists
| Endpoint | Comment |
|---|---|
POST /api/global-lists/import/csv |
Query parameter globalListsImportJobPriority has been removed. |
Product Hierarchies
| Endpoint | Comment |
|---|---|
POST /api/product-hierarchies/import/csv |
Query parameter productHierarchiesImportJobPriority has been removed. |
Products
| Endpoint | Comment |
|---|---|
POST /api/products/import/csv |
Query parameter productsImportJobPriority has been removed. |
POST /api/products/export/csv |
Request body property priority has been removed. |
POST /api/products/bundles/import/csv |
Query parameter productBundlesImportJobPriority has been removed. |
Products filter endpoint renamed
The POST /api/products/filter-v3 endpoint has been renamed to POST /api/products/filter in v26. The older filter endpoints (filter and filter-v2) have been removed.
DoesNotContains Match enum value renamed
The DoesNotContains value in the Match enum has been renamed to DoesNotContain (removed the trailing "s"). This enum is part of the ClauseModel schema used by the product filter endpoints.
The following endpoints are affected:
| Endpoint | Impact |
|---|---|
POST /api/product-filters |
The match property in ClauseModel within the request body now expects DoesNotContain instead of DoesNotContains. |
GET /api/product-filters/{id} |
The match property in ClauseModel within the response body now returns DoesNotContain instead of DoesNotContains. |
Deprecations
V24 is now out of service and will be removed in a future release.